givpoly1tabcycl.h File Reference

Tabulation of factors of cyclotomic polynomials of degree expo modulo mod. More...

`#include "givaro/givpoly1.h"`
`#include "givaro/givpoly1factor.h"`
`#include "givaro/givpoly1tabcycl.inl"`
Include dependency graph for givpoly1tabcycl.h:

## Data Structures

class | CyclotomicTable< Domain, Tag >
| CyclotomicTable. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Tabulation of factors of cyclotomic polynomials of degree expo modulo mod.

By vectors. P = v[0] + v[1] X + ... + v[n] X^n